.umb-block-grid__layout-container {
  position: relative;
  display: grid;
  grid-template-columns: repeat(var(--umb-block-grid--grid-columns, 1), minmax(0, 1fr));
  grid-auto-flow: row;
  grid-auto-rows: minmax(50px, -webkit-min-content);
  grid-auto-rows: minmax(50px, min-content);
  -moz-column-gap: var(--umb-block-grid--column-gap, 0);
  column-gap: var(--umb-block-grid--column-gap, 0);
  row-gap: var(--umb-block-grid--row-gap, 0);
}

.umb-block-grid__layout-item {
  position: relative;
  /* For small devices we scale columnSpan by three, to make everything bigger than 1/3 take full width: */
  grid-column-end: span min(calc(var(--umb-block-grid--item-column-span, 1) * 3), var(--umb-block-grid--grid-columns));
  grid-row: span var(--umb-block-grid--item-row-span, 1);
}

[data-content-element-type-alias='twoColumnBlock5050'] {
  position: relative;
  /* For small devices we scale columnSpan by three, to make everything bigger than 1/3 take full width: */
  grid-column-end: span min(calc(var(--umb-block-grid--item-column-span, 1) * 3), var(--umb-block-grid--grid-columns));
  grid-row: span var(--umb-block-grid--item-row-span, 1);
}
[data-content-element-type-alias='twoColumnBlock5050'] .flexed-child {
  margin: 0;
  padding: 0;
  border: none;
}

.umb-block-grid__area-container,
.umb-block-grid__block--view::part(area-container) {
  position: relative;
  display: grid;
  grid-template-columns: repeat(var(--umb-block-grid--area-grid-columns, var(--umb-block-grid--grid-columns, 1)), minmax(0, 1fr));
  grid-auto-flow: row;
  grid-auto-rows: minmax(50px, -webkit-min-content);
  grid-auto-rows: minmax(50px, min-content);
  -moz-column-gap: var(--umb-block-grid--areas-column-gap, 0);
  column-gap: var(--umb-block-grid--areas-column-gap, 65px);
  row-gap: var(--umb-block-grid--areas-row-gap, 0);
}
.umb-block-grid__area-container iframe {
  min-height: 350px !important;
  width: 100% !important;
}
/* .umb-block-grid__layout-item section {
    padding: 0px;
  }
  .umb-block-grid__area-container .flexed {
    justify-content: center;
  } */

.umb-block-grid__area {
  position: relative;
  /* For small devices we scale columnSpan by three, to make everything bigger than 1/3 take full width: */
  grid-column-end: span min(calc(var(--umb-block-grid--area-column-span, 1) * 3), var(--umb-block-grid--grid-columns));
  grid-row: span var(--umb-block-grid--area-row-span, 1);
}

[data-content-element-type-alias='twoColumnBlock5050'] [data-content-element-type-alias='twoColumnBlock5050'] .umb-block-grid__area-container {
  column-gap: var(--umb-block-grid--areas-column-gap, 25px);
}

@media (min-width: 1024px) {
  .umb-block-grid__layout-item {
    grid-column-end: span min(var(--umb-block-grid--item-column-span, 1), var(--umb-block-grid--grid-columns));
  }

  .umb-block-grid__area {
    grid-column-end: span var(--umb-block-grid--area-column-span, 1);
  }
}

@media (max-width: 991px) {
  .umb-block-grid__area-container,
  .umb-block-grid__block--view::part(area-container) {
    column-gap: var(--umb-block-grid--areas-column-gap, 25px) !important;
    row-gap: var(--umb-block-grid--areas-row-gap, 50px);
  }
  .umb-block-grid__area-container,
  .umb-block-grid__block--view::part(area-container) {
    position: relative;
    display: grid;
    grid-template-columns: repeat(var(--umb-block-grid--area-grid-columns, var(--umb-block-grid--grid-columns, 1)), minmax(0));
  }
  .umb-block-grid__area-container,
  .umb-block-grid__block--view::part(area-container) {
    column-gap: var(--umb-block-grid--areas-column-gap, 25px) !important;
  }
  section.three-sections-row div {
    display: flex;
    flex-direction: column;
    gap: 40px;
  }
}

@media screen and (max-width: 575px) {
  .umb-block-grid__area {
    --umb-block-grid--grid-columns: 12 !important;
    --umb-block-grid--area-column-span: 12 !important;
    --umb-block-grid--area-row-span: 1 !important;
  }
  .umb-block-grid__area-container,
  .umb-block-grid__block--view::part(area-container) {
    column-gap: var(--umb-block-grid--areas-column-gap, 25px) !important;
  }
  section.three-sections-row div {
    display: flex;
    flex-direction: column;
    gap: 40px;
  }
  [data-content-element-type-alias='fourColumnBlock25'] .umb-block-grid__layout-item {
    --umb-block-grid--item-column-span: 4 !important;
  }
  [data-content-element-type-alias='resourcesComponent'],
  [data-content-element-type-alias='newsComponent'],
  [data-content-element-type-alias='fourColumnBlock25'] {
    width: 100% !important;
    margin-left: 0px !important;
    padding: 20px 0 !important;
  }
  [data-content-element-type-alias='newsComponent'] .umb-block-grid__layout-item h2 {
    margin-bottom: 0px;
  }
}